STG-IMPORT(1)

NAME
stg-import - Import a GNU diff file as a new patch

SYNOPSIS

stg import [options] [--] [<file>|<url>]

DESCRIPTION
Create a new patch and apply the given GNU diff file (or the standard input). By default, the file name is used as the patch name but this can be overridden with the --name option. The patch can either be a normal file with the description at the top or it can have standard mail format, the Subject, From and Date headers being used for generating the patch information. The command can also read series and mbox files.

If a patch does not apply cleanly, the failed diff is written to the .stgit-failed.patch file and an empty StGIT patch is added to the stack.

The patch description has to be separated from the data with a --- line.

OPTIONS

-m, --mail
    Import the patch from a standard e-mail file.

-M, --mbox
    Import a series of patches from an mbox file.

-s, --series
    Import a series of patches from a series file or a tar archive.

-u, --url
    Import a patch from a URL.

-n NAME, --name NAME
    Use NAME as the patch name.

-p N, --strip N
    Remove N leading slashes from diff paths (default 1).

-t, --stripname
    Strip numbering and extension from patch name.

-i, --ignore
    Ignore the applied patches in the series.

--replace
    Replace the unapplied patches in the series.

-b BASE, --base BASE
    Use BASE instead of HEAD for file importing.

--reject
    Leave the rejected hunks in corresponding *.rej files.

-e, --edit
    Invoke an editor for the patch description.

-d, --showdiff
    Show the patch content in the editor buffer.

-a "NAME <EMAIL>", --author "NAME <EMAIL>"
    Use "NAME <EMAIL>" as the author details.

--authname AUTHNAME
    Use AUTHNAME as the author name.

--authemail AUTHEMAIL
    Use AUTHEMAIL as the author e-mail.

--authdate AUTHDATE
    Use AUTHDATE as the author date.

--sign
    Add a "Signed-off-by:" to the end of the patch.

--ack
    Add an "Acked-by:" line to the end of the patch.

STGIT
Part of the StGit suite - see stg(1)